#
# spec file for package kdeartwork3 (Version 3.5.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel atk attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cifs-mount coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-data-SuSE desktop-translations diffutils e2fsprogs e2fsprogs-devel expat fam fam-devel file fileshareset filesystem fillup findutils flac flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel gle glib2 glib2-devel glibc glibc-devel glibc-locale glitz gnome-filesystem gpm grep groff gtk2 gzip hal info insserv jack jack-devel kdebase3 kdebase3-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd krb5 krb5-devel less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc libgcrypt libgcrypt-devel libglade2 libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libnscd libogg libogg-devel libpng libpng-devel libsmbclient libsmbclient-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libusb libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel pam pam-modules pango patch pcre pcre-devel perl permissions pkgconfig popt powersave-libs procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline resmgr rpm samba-client sed sgml-skel strace sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs xscreensaver zlib zlib-devel

Name:           kdeartwork3
BuildRequires:  kdebase3-devel libsmbclient libsmbclient-devel samba-client xscreensaver
License:        Other License(s), see package
Requires:       kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Group:          System/GUI/KDE
Summary:        KDE Themes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Version:        3.5.1
Release:        18.2
Url:            http://www.kde.org/
Source:         kdeartwork-%{version}.tar.bz2
Patch0:         3_5_BRANCH.diff
Provides:       kdeartwork

%description
This package contains the KDE window manager and icon themes.



Authors:
--------
    The KDE Team <kde@kde.org>

%debug_package
%package xscreensaver
# usesubdirs kscreensaver/kxsconfig
Summary:        XScreensaver Support for KDE
Requires:       xscreensaver
Group:          System/GUI/KDE

%description xscreensaver
This package allows using the more than 100 screensavers in the
xscreensaver package for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%package kscreensaver
# usesubdirs kscreensaver
Summary:        Screensaver from KDE
Group:          System/GUI/KDE
Provides:       kdeartwork3:/opt/kde3/bin/kclock.kss

%description kscreensaver
This package has a pretty small but nice collection of screensavers for
KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%package sound
# usesubdirs sounds
Summary:        Sound themes for KDE
Group:          System/GUI/KDE

%description sound
extra sound files for KDE.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdeartwork-%{version}
%patch
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --without-arts
  
make %{?jobs:-j %jobs}

%install
. /etc/opt/kde3/common_options
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/apps/kthememgr/Themes/
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
mkdir -p $RPM_BUILD_ROOT/usr/share
mv $RPM_BUILD_ROOT/opt/kde3/share/wallpapers $RPM_BUILD_ROOT/usr/share
# remove conflicting files
rm $RPM_BUILD_ROOT/opt/kde3/share/icons/*/*/*/{bell,lskat,ktimemon,ktux,kspaceduel,gettext,kbabel,kspreadcalc}.png
for i in $RPM_BUILD_ROOT/opt/kde3/share/applnk/System/ScreenSavers/*.desktop ; do
  sed -e '/^\[Desktop Entry\]/a\
Categories=Screensaver;' $i > ${i}_
  mv ${i}_ $i
  %suse_update_desktop_file $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/kwin3_*
/opt/kde3/%_lib/kde3/kwin_*
/opt/kde3/%_lib/kde3/kstyle_phase_config.*
/opt/kde3/%_lib/kde3/plugins/styles/*
/opt/kde3/share/apps/kstyle/themes/dotnet.themerc
/opt/kde3/share/apps/kstyle/themes/phase.themerc
/opt/kde3/share/apps/kwin
/opt/kde3/share/apps/kworldclock
/opt/kde3/share/icons/hicolor
/opt/kde3/share/icons/Locolor
/opt/kde3/share/icons/ikons
/opt/kde3/share/icons/kdeclassic
/opt/kde3/share/icons/slick
/opt/kde3/share/icons/kids
/opt/kde3/share/emoticons
/usr/share/wallpapers

%files kscreensaver
%defattr(-,root,root)
/opt/kde3/bin/*.kss
%dir /opt/kde3/share/applnk/System/ScreenSavers
/opt/kde3/share/applnk/System/ScreenSavers/K*
/opt/kde3/share/applnk/System/ScreenSavers/kpartsaver.desktop
/opt/kde3/share/apps/kfiresaver
/opt/kde3/share/apps/kscreensaver
/opt/kde3/share/applnk/System/ScreenSavers/klein.desktop

%files xscreensaver
%defattr(-,root,root)
/opt/kde3/bin/kxs*
/opt/kde3/share/applnk/System/ScreenSavers/a*
/opt/kde3/share/applnk/System/ScreenSavers/b*
/opt/kde3/share/applnk/System/ScreenSavers/c*
/opt/kde3/share/applnk/System/ScreenSavers/d*
/opt/kde3/share/applnk/System/ScreenSavers/e*
/opt/kde3/share/applnk/System/ScreenSavers/f*
/opt/kde3/share/applnk/System/ScreenSavers/g*
/opt/kde3/share/applnk/System/ScreenSavers/h*
/opt/kde3/share/applnk/System/ScreenSavers/i*
/opt/kde3/share/applnk/System/ScreenSavers/j*
/opt/kde3/share/applnk/System/ScreenSavers/kaleidescope.desktop
/opt/kde3/share/applnk/System/ScreenSavers/kumppa.desktop
/opt/kde3/share/applnk/System/ScreenSavers/l*
/opt/kde3/share/applnk/System/ScreenSavers/m*
/opt/kde3/share/applnk/System/ScreenSavers/n*
/opt/kde3/share/applnk/System/ScreenSavers/p*
/opt/kde3/share/applnk/System/ScreenSavers/q*
/opt/kde3/share/applnk/System/ScreenSavers/r*
/opt/kde3/share/applnk/System/ScreenSavers/s*
/opt/kde3/share/applnk/System/ScreenSavers/t*
/opt/kde3/share/applnk/System/ScreenSavers/v*
/opt/kde3/share/applnk/System/ScreenSavers/w*
/opt/kde3/share/applnk/System/ScreenSavers/x*
/opt/kde3/share/applnk/System/ScreenSavers/zoom.desktop

%files sound
%defattr(-,root,root)
/opt/kde3/share/sounds/KDE_*

%changelog -n kdeartwork3
* Fri Mar 10 2006 - coolo@suse.de
- adding xscreensaver 4.23 descriptions
* Mon Jan 30 2006 - stbinner@suse.de
- update to 3.5 branch
* Sat Jan 28 2006 - coolo@suse.de
- move wallpapers to /usr/share/wallpapers
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 22 2006 - stbinner@suse.de
- update to version 3.5.1
* Sat Jan 07 2006 - stbinner@suse.de
- update to 3_5_BRANCH
* Mon Nov 21 2005 - stbinner@suse.de
- update to version 3.5 RC 2
* Thu Nov 10 2005 - stbinner@suse.de
- update to version 3.5 RC 1
* Wed Oct 12 2005 - stbinner@suse.de
- update to version 3.4.92 (3.5 Beta 2)
* Wed Sep 21 2005 - stbinner@suse.de
- update to version 3.4.91 (3.5 Beta)
* Wed Aug 17 2005 - coolo@suse.de
- we don't need no arts in screensavers
* Fri Aug 05 2005 - adrian@suse.de
- fix build for old distributions
* Fri Jul 22 2005 - coolo@suse.de
- update to version 3.4.2
* Fri Jul 15 2005 - coolo@suse.de
- fix update
* Fri Jun 24 2005 - coolo@suse.de
- split out KDE screensavers so we can make them default
* Tue May 24 2005 - adrian@suse.de
- update to version 3.4.1
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Sat Mar 05 2005 - adrian@suse.de
- update to 3.4.0 final
* Sat Feb 26 2005 - adrian@suse.de
- update to version 3.4.0 RC 1
* Mon Feb 14 2005 - adrian@suse.de
- update from CVS
* Fri Feb 11 2005 - adrian@suse.de
- update from CVS
* Mon Feb 07 2005 - adrian@suse.de
- update to beta 2
* Fri Jan 28 2005 - adrian@suse.de
- update to current snapshot
* Fri Jan 21 2005 - adrian@suse.de
- update to current snapshot
* Sun Jan 09 2005 - adrian@suse.de
- final 3.4 beta 1
* Wed Jan 05 2005 - coolo@suse.de
- update to 3.4 beta 1 (snapshot)
* Wed Dec 08 2004 - adrian@suse.de
- update to version 3.4 alpha 1
* Wed Nov 17 2004 - adrian@suse.de
- add missing %%suse_update_desktop_file calls
* Tue Oct 12 2004 - adrian@suse.de
- update to version 3.3.1
* Fri Sep 17 2004 - adrian@suse.de
- fix arts detection for kfiresaver configure check
  (noticed by Anders Johansson)
* Tue Sep 14 2004 - adrian@suse.de
- update to current BRANCH
- remove mad from nfb
* Mon Aug 16 2004 - adrian@suse.de
- update to version 3.3.0 final
* Tue Aug 10 2004 - adrian@suse.de
- update to version 3.3.0 RC2
* Tue Jul 20 2004 - adrian@suse.de
- update to KDE 3.2.92 (3.3 beta 2)
* Wed Jul 07 2004 - adrian@suse.de
- update to current cvs to fix build on x86_64
* Mon Jun 28 2004 - adrian@suse.de
- update to version 3.2.91
* Mon May 31 2004 - adrian@suse.de
- update to version 3.2.3
* Wed Apr 14 2004 - adrian@suse.de
- update to version 3.2.2
* Mon Mar 01 2004 - coolo@suse.de
- update to version 3.2.1
* Tue Jan 27 2004 - adrian@suse.de
- update to version 3.2.0 final
* Sun Jan 18 2004 - adrian@suse.de
- update to version 3.1.95 ( KDE 3.2 RC1 )
* Tue Jan 13 2004 - adrian@suse.de
- update to snapshot 2004011309
* Tue Dec 30 2003 - adrian@suse.de
- update to snapshot 2003123011
* Mon Dec 01 2003 - adrian@suse.de
- update to 3.1.94 ( KDE 3.2 beta 2 )
* Thu Nov 13 2003 - adrian@suse.de
- update to new snapshot from 2003102409
* Wed Oct 29 2003 - adrian@suse.de
- update to KDE 3.2 beta1
* Tue Oct 21 2003 - adrian@suse.de
- update to snapshot 2003102008
* Sun Oct 05 2003 - adrian@suse.de
- update to snapshot 2003100510
* Mon Sep 29 2003 - adrian@suse.de
- update to version 1.1.92 (KDE 3.2 alpha 2)
* Fri Sep 19 2003 - adrian@suse.de
- add Screensaver Categories, needed for gnome (#31282)
* Tue Sep 09 2003 - adrian@suse.de
- update to version 3.1.4
* Sat Aug 16 2003 - adrian@suse.de
- fix build
* Thu Jul 24 2003 - adrian@suse.de
- add Categories
- fix build for < 8.1
* Fri Jul 18 2003 - adrian@suse.de
- update to version 3.1.3
* Fri Jun 13 2003 - coolo@suse.de
- package directories too
* Fri May 30 2003 - adrian@suse.de
- remove another file
* Tue May 27 2003 - adrian@suse.de
- fix file conflicts
* Tue May 27 2003 - coolo@suse.de
- update to 3_1_BRANCH to get fixed configure check
* Thu May 08 2003 - adrian@suse.de
- update to 3.1.2
* Tue Mar 11 2003 - adrian@suse.de
- update to 3.1.1 second try
* Mon Mar 03 2003 - adrian@suse.de
- update to 3.1.1
* Fri Jan 17 2003 - adrian@suse.de
- use RC7-try2 tar ball
* Wed Jan 15 2003 - adrian@suse.de
- update to RC7
* Tue Jan 07 2003 - adrian@suse.de
- update to RC6
* Mon Nov 25 2002 - adrian@suse.de
- update to RC5
* Tue Nov 05 2002 - adrian@suse.de
- add support for xscreensaver and create a new sub package for it
* Sun Nov 03 2002 - adrian@suse.de
- update to version 1.1.0.20021030 ~= RC1
* Tue Oct 08 2002 - adrian@suse.de
- update to version 3.0.4
* Tue Aug 27 2002 - adrian@suse.de
- fix for new plugin path directory structure on lib64
* Thu Aug 08 2002 - adrian@suse.de
- update to version 3.0.3
* Mon Jul 22 2002 - adrian@suse.de
- fix build for lib64
* Thu Jul 04 2002 - adrian@suse.de
- split sound files into -sound sub package
* Tue Jun 25 2002 - adrian@suse.de
- update to version 3.0.2
* Sun Jun 09 2002 - ro@suse.de
- use update_admin and new common_options
* Sun May 12 2002 - coolo@suse.de
- use %%_lib
* Fri May 10 2002 - adrian@suse.de
- update to 3.0.1
* Tue Apr 09 2002 - ro@suse.de
- use special version of am_edit for new automake
* Mon Mar 25 2002 - adrian@suse.de
- update to 3.0 final :)
- remove krayon icons
* Thu Mar 21 2002 - adrian@suse.de
- update to 3.0rc3
* Sun Mar 10 2002 - adrian@suse.de
- update to 3.0rc2
* Mon Mar 04 2002 - adrian@suse.de
- update to 3.0rc1
* Mon Feb 18 2002 - adrian@suse.de
- update to snapshot 2.92.2002021810
* Fri Feb 15 2002 - adrian@suse.de
- update to snapshot 2.92.2002021421
* Mon Feb 11 2002 - adrian@suse.de
- update to snapshot 2.92.2002021111
* Wed Feb 06 2002 - adrian@suse.de
- update to version 2.92 (KDE 3.0 beta 2)
- use common_compile_flags
* Mon Jan 28 2002 - adrian@suse.de
- update to snapshot 2.91.2002012811
* Wed Jan 23 2002 - adrian@suse.de
- update to snapshot 2.91.2002012221
* Tue Jan 15 2002 - adrian@suse.de
- update to snapshot 2.91.2002011511
* Thu Jan 10 2002 - adrian@suse.de
- use recent cvs snapshot
* Tue Dec 18 2001 - adrian@suse.de
- update to version 2.91 (3.0 beta1)
* Wed Nov 14 2001 - adrian@suse.de
- update to version 2.2.2
* Mon Nov 12 2001 - ro@suse.de
- use kde2-devel-packages in neededforbuild
* Sat Sep 08 2001 - adrian@suse.de
- update to final 2.2.1 tar ball
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 06 2001 - adrian@suse.de
- update to 2.2 final
* Wed Aug 01 2001 - adrian@suse.de
- update to 2.2pre1
* Thu Jul 05 2001 - adrian@suse.de
- fix file list
* Fri Jun 29 2001 - adrian@suse.de
- update 2.2beta1
* Sun May 27 2001 - adrian@suse.de
- initial package
